Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QEucKrCodec Class Reference

The QEucKrCodec class provides conversion to and from EUC-KR character sets. More...

All the functions in this class are reentrant when Qt is built with thread support.

`#include <qeuckrcodec.h>`

Inherits QTextCodec.

List of all member functions.

## Public Members

- virtual const char * mimeName () const

## Detailed Description

The QEucKrCodec class provides conversion to and from EUC-KR character sets.

The QEucKrCodec class subclasses QTextCodec to provide support for EUC-KR, the main legacy encoding for UNIX machines in Korea.

It was largely written by Mizi Research Inc. Here is the copyright statement for the code as it was at the point of contribution. Trolltech's subsequent modifications are covered by the usual copyright for Qt.

Copyright (C) 1999-2000 Mizi Research Inc. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

See also Internationalization with Qt.

## Member Function Documentation

### const char * QEucKrCodec::mimeName () const`[virtual]`

Returns the codec's mime name.

Reimplemented from QTextCodec.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.